## cairo-dock 2.3.0~3

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)

########### project ###############

project ("cairo-dock")
set (VERSION "2.3.0~3")

add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall 
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")
add_definitions (-DCAIRO_DOCK_DEFAULT_ICON_NAME="default-icon.svg")
add_definitions (-DCAIRO_DOCK_ICON="cairo-dock.svg")
add_definitions (-DCAIRO_DOCK_LOGO="cairo-dock-logo.png")
add_definitions (-DCAIRO_DOCK_DATA_DIR="cairo-dock")
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

############ sources tarball ############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES 
	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-config.h$;/scripts/;/doc/;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target( dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})
set (prefix ${CMAKE_INSTALL_PREFIX})
set (exec_prefix ${prefix})
set (datadir ${prefix}/share)
set (pkgdatadir ${datadir}/cairo-dock)
set (mandir ${datadir}/man)

if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT "${FORCE_LIB64}" STREQUAL "")  # 64bits and force install in lib64
	set (libdir ${prefix}/lib64)
else()
	set (libdir ${prefix}/lib${LIB_SUFFIX})
endif()

set (includedir ${prefix}/include)
set (bindir ${prefix}/bin)

########### dependencies ###############

pkg_check_modules ("PACKAGE" REQUIRED "gtk+-2.0" "gthread-2.0" "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0" "gtkglext-1.0" "xrender" "libcurl")

pkg_check_modules ("XEXTEND" "xtst" "xcomposite" "xinerama")
if (${XEXTEND_FOUND})
	set (HAVE_XEXTEND 1)
	set (xextend_required "xtst xcomposite xinerama")  # pour le .pc
endif()

# We use crypt(3) which may be in libc, or in libcrypt (eg FreeBSD)
check_library_exists (crypt encrypt "" HAVE_LIBCRYPT)
if (${HAVE_LIBCRYPT})
	set (LIBCRYPT_LIBS "-lcrypt")
endif()

check_include_files ("math.h" HAVE_MATH_H)
check_symbol_exists (LC_MESSAGES "locale.h" HAVE_LC_MESSAGES)
CHECK_LIBRARY_EXISTS (m sin "" HAVE_LIBM)

MESSAGE (STATUS)
MESSAGE (STATUS "Cairo-Dock will be compiled with the following options :")
if (${XEXTEND_FOUND})
	MESSAGE (STATUS " * Use X Extensions : yes")
else()
	MESSAGE (STATUS " * Use X Extensions : no")
endif()
if (${HAVE_LIBCRYPT})
	MESSAGE (STATUS " * crypt passwords : yes")
else()
	MESSAGE (STATUS " * crypt passwords : no")
endif()
MESSAGE (STATUS)

########### next steps ###############

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

########### variables defined at compil time ###############

set (CAIRO_DOCK_SHARE_DATA_DIR ${pkgdatadir})
set (CAIRO_DOCK_SHARE_THEMES_DIR ${pkgdatadir}/themes)
#set (CAIRO_DOCK_MODULES_DIR ${libdir}/cairo-dock)
set (CAIRO_DOCK_LOCALE_DIR ${datadir}/locale)
set (CAIRO_DOCK_THEMES_DIR "themes")
set (CAIRO_DOCK_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

set (GLDI_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})
set (GLDI_SHARE_DATA_DIR ${pkgdatadir})
set (GLDI_MODULES_DIR ${libdir}/cairo-dock)

########### file generation ###############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock-simple.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock-simple.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/main-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/main-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/themes.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/themes.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/help.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.pc.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

########### install files ###############

install (FILES cairo-dock-package-theme launch-cairo-dock-with-delay
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc DESTINATION ${libdir}/pkgconfig)

###########     misc      ###############
#set (CPACK_SOURCE_GENERATOR "TGZ")
#set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
#set (CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;/.deps/;Makefile$;Makefile.in;.gmo$;/.libs/;.lo$;.la$;POTFILES;stamp-it;aclocal.m4;config.guess$;/config.h$;/config.h.in$;/config.log$;/config.status$;/config.sub$;/configure$;/depcomp$;/install-sh$;/libtool$;/ltmain.sh$;/missing$;/stamp-h1$;/compile;/CMakeFiles/;/_CPack_Packages/;/autom4te.cache/;/install_manifest.txt$;.tar.gz$;/CMakeCache.txt$;/cairo-dock$;/scripts/;/doc/;/data/themes.conf$;/data/cairo-dock.conf$;/data/main-dock.conf$;/data/cairo-dock-simple.conf$;/cairo-dock.pc$;.cmake$;~$;${CPACK_SOURCE_IGNORE_FILES}")
#include (CPack)  # a inclure apres les set.
#add_custom_target( dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)  # pour pouvoir l'appeler avec "make dist"

=== data/CMakeLists.txt ===
add_subdirectory(default-theme)
add_subdirectory(gauges)
add_subdirectory(explosion)
add_subdirectory(man)
add_subdirectory(icons)


########### install files ###############

install (FILES
	# lib
	rotate-desklet.svg
	retach-desklet.svg
	no-input-desklet.png
	depth-rotate-desklet.svg
	cairo-dock-ok.svg
	cairo-dock-cancel.svg
	hand.svg
	default-class-indicator.svg
	default-icon-appli.svg
	default-icon.svg
	default-indicator.png
	launcher.desktop
	container.desktop
	separator.desktop
	# implementations
	preview-default.png
	readme-default-view
	box-back.png
	box-front.png
	# appli
	cairo-dock-animated.xpm
	cairo-dock-logo.png
	cairo-dock.svg
	ChangeLog.txt
	icon-accessories.svg
	icon-all.svg
	icon-appearance.svg
	icon-background.svg
	icon-behavior.svg
	icon-bubble.png
	icon-buttons.png
	icon-close.png
	icon-connection.svg
	icon-controler.svg
	icon-desklets.png
	icon-desktop.svg
	icon-dialogs.svg
	icon-extensions.svg
	icon-files.svg
	icon-frame.png
	icon-fun.svg
	icon-gradation.png
	icon-help.svg
	icon-hidden-dock.svg
	icon-icons.svg
	icon-indicators.svg
	icon-internet.svg
	icon-labels.svg
	icon-lock-icons.svg
	icon-maximize.png
	icon-minimize.png
	icon-mouse.svg
	icon-movment.png
	icon-plug-ins.svg
	icon-position.svg
	icon-restore.png
	icon-subdock.png
	icon-system.svg
	icon-taskbar.png
	icon-views.svg
	icon-visibility.svg
	icon-wave.png
	DESTINATION ${pkgdatadir})

# appli
install (FILES help_scripts.sh
	DESTINATION ${pkgdatadir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install (FILES
	# lib
	${CMAKE_CURRENT_BINARY_DIR}/main-dock.conf
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.conf
	# appli
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-simple.conf
	${CMAKE_CURRENT_BINARY_DIR}/themes.conf
	${CMAKE_CURRENT_BINARY_DIR}/help.conf
	DESTINATION ${pkgdatadir})

# appli
install (FILES
	cairo-dock.svg
	DESTINATION ${datadir}/pixmaps)

install (FILES
	cairo-dock.desktop 		cairo-dock-cairo.desktop
	DESTINATION ${datadir}/applications)

=== po/CMakeLists.txt ===

find_program (MSGFMT_EXECUTABLE msgfmt)

#on cree une nouvelle cible i18n liée à la cible all.
add_custom_target (i18n ALL COMMENT “Building i18n messages.”)

# on liste tous les .po
file (GLOB PO_FILES *.po)

# on parcours cette liste.
foreach (PO_INPUT ${PO_FILES})
	get_filename_component (PO_INPUT_BASE ${PO_INPUT} NAME_WE)  # NAME Without Extension.
	if (NOT "${PO_INPUT_BASE}" STREQUAL "en_GB") # en_GB has been created only for LaunchPad translation tool
		set (MO_OUTPUT ${PO_INPUT_BASE}.gmo)  # le nom du fichier en sortie.
		message (STATUS "  Building ${MO_OUTPUT}...")
		add_custom_command (TARGET i18n COMMAND ${MSGFMT_EXECUTABLE} -o  ${CMAKE_CURRENT_BINARY_DIR}/${MO_OUTPUT} ${PO_INPUT})  # appel a msgfmt.
		install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/${MO_OUTPUT} DESTINATION ${datadir}/locale/${PO_INPUT_BASE}/LC_MESSAGES RENAME ${GETTEXT_PACKAGE}.mo)  # installation du fichier dans le bon repertoire.
	endif()
endforeach ()

=== data/default-theme/CMakeLists.txt ===
add_subdirectory(launchers)
add_subdirectory(plug-ins)

########### install files ###############

install(FILES
	cairo-dock.conf
	active.png
	bg.svg
	indicator.png
	preview
	readme
	DESTINATION ${pkgdatadir}/themes/_default_ )

=== data/icons/CMakeLists.txt ===

########### install files ###############

install (FILES theme-distant.svg
	theme-local.svg
	theme-new.svg
	theme-updated.svg
	theme-user.svg
	balloons.png
	DESTINATION ${pkgdatadir}/icons )

=== data/man/CMakeLists.txt ===
############## Man pages ################
find_program(GZIP_TOOL
				NAMES gzip
				PATHS /bin
				usr/bin
				usr/local/bin)
if(NOT GZIP_TOOL)
	message(FATAL_ERROR "Unable to find 'gzip' program")
endif(NOT GZIP_TOOL)
set(cairo_dock_man_src cairo-dock_en.1) # cairo-dock_fr.1 cairo-dock_it.1)

# Compression of the manuals
foreach(man ${cairo_dock_man_src})
	message(STATUS "Building ${man}.gz")
	execute_process(COMMAND ${GZIP_TOOL} -c ${CMAKE_CURRENT_SOURCE_DIR}/${man}
						OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/${man}.gz)
endforeach(man)

# Installation of the manuals
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock_en.1.gz
        DESTINATION "${mandir}/man1"
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ RENAME cairo-dock.1.gz)

=== src/gldit/CMakeLists.txt ===

SET(core_lib_SRCS
	cairo-dock-struct.h
	cairo-dock-global-variables.h 
	cairo-dock-core.c 					cairo-dock-core.h
	cairo-dock-manager.c 				cairo-dock-manager.h
	# icons
	cairo-dock-icon-manager.c 			cairo-dock-icon-manager.h
	cairo-dock-icon-factory.c 			cairo-dock-icon-factory.h
	cairo-dock-icon-facility.c 			cairo-dock-icon-facility.h
	cairo-dock-indicator-manager.c 		cairo-dock-indicator-manager.h
	cairo-dock-applications-manager.c 	cairo-dock-applications-manager.h 
	cairo-dock-application-facility.c 	cairo-dock-application-facility.h
	cairo-dock-launcher-manager.c 		cairo-dock-launcher-manager.h
	cairo-dock-applet-manager.c 		cairo-dock-applet-manager.h
	cairo-dock-applet-facility.c 		cairo-dock-applet-facility.h
	cairo-dock-separator-manager.c 		cairo-dock-separator-manager.h
	cairo-dock-module-factory.c 		cairo-dock-module-factory.h
	cairo-dock-module-manager.c 		cairo-dock-module-manager.h
	# containers
	cairo-dock-container.c 				cairo-dock-container.h
	cairo-dock-desklet-manager.c 		cairo-dock-desklet-manager.h
	cairo-dock-desklet-factory.c 		cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.c 		cairo-dock-dialog-factory.h
	cairo-dock-dialog-manager.c 		cairo-dock-dialog-manager.h
	cairo-dock-flying-container.c 		cairo-dock-flying-container.h
	cairo-dock-dock-manager.c 			cairo-dock-dock-manager.h
	cairo-dock-dock-factory.c 			cairo-dock-dock-factory.h
	cairo-dock-dock-facility.c 			cairo-dock-dock-facility.h
	cairo-dock-callbacks.c 				cairo-dock-callbacks.h 
	cairo-dock-animations.c 			cairo-dock-animations.h
	cairo-dock-notifications.c 			cairo-dock-notifications.h
	cairo-dock-backends-manager.c 		cairo-dock-backends-manager.h
	cairo-dock-data-renderer.c 			cairo-dock-data-renderer.h
	cairo-dock-data-renderer-manager.c 		cairo-dock-data-renderer-manager.h
	cairo-dock-file-manager.c 			cairo-dock-file-manager.h
	cairo-dock-themes-manager.c 		cairo-dock-themes-manager.h
	cairo-dock-class-manager.c 			cairo-dock-class-manager.h
	cairo-dock-X-manager.c 				cairo-dock-X-manager.h
	cairo-dock-image-buffer.c			cairo-dock-image-buffer.h 
	cairo-dock-opengl.c 				cairo-dock-opengl.h
	cairo-dock-opengl-path.c 			cairo-dock-opengl-path.h
	cairo-dock-opengl-font.c 			cairo-dock-opengl-font.h
	cairo-dock-surface-factory.c 		cairo-dock-surface-factory.h
	cairo-dock-draw.c 					cairo-dock-draw.h 
	cairo-dock-draw-opengl.c 			cairo-dock-draw-opengl.h
	# utilities
	cairo-dock-log.c 					cairo-dock-log.h
	cairo-dock-gui-manager.c 			cairo-dock-gui-manager.h
	cairo-dock-gui-factory.c 			cairo-dock-gui-factory.h
	eggaccelerators.c 					eggaccelerators.h
	cairo-dock-keybinder.c 				cairo-dock-keybinder.h
	cairo-dock-dbus.c 					cairo-dock-dbus.h 
	cairo-dock-X-utilities.c 			cairo-dock-X-utilities.h
	cairo-dock-keyfile-utilities.c 		cairo-dock-keyfile-utilities.h
	cairo-dock-packages.c 				cairo-dock-packages.h
	cairo-dock-particle-system.c 		cairo-dock-particle-system.h
	cairo-dock-emblem.c 				cairo-dock-emblem.h
	cairo-dock-task.c 					cairo-dock-task.h
	cairo-dock-config.c 				cairo-dock-config.h 
	texture-gradation.h
	texture-blur.h
)


########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${XEXTEND_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${XEXTEND_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Define the library
add_library ("gldi" SHARED ${core_lib_SRCS})
STRING (REGEX REPLACE "\\..*" "" SOVERSION "${VERSION}")
set_target_properties ("gldi" PROPERTIES
	# create *nix style library versions + symbolic links
	VERSION ${VERSION}
	SOVERSION ${SOVERSION}
	# allow creating static and shared libs without conflicts
	#CLEAN_DIRECT_OUTPUT 1
	# avoid conflicts between library and binary target names
	#OUTPUT_NAME ${PROJECT_NAME}
)

# Link the result to the librairies.
target_link_libraries("gldi"
	${PACKAGE_LIBRARIES}
	${XEXTEND_LIBRARIES}
	${LIBCRYPT_LIBS}
	icon-factory
	implementations)


configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gldi.pc.in ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc)
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc DESTINATION ${libdir}/pkgconfig)
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${VERSION} DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${SOVERSION} DESTINATION ${libdir})

########### install files ###############

install(FILES cairo-dock.h DESTINATION ${includedir}/cairo-dock)
install(FILES
	cairo-dock-struct.h 			cairo-dock-global-variables.h
	gldi-config.h
	cairo-dock-core.h			cairo-dock-manager.h
	cairo-dock-icon-factory.h		cairo-dock-icon-manager.h
	cairo-dock-icon-facility.h
	cairo-dock-applications-manager.h 	cairo-dock-launcher-manager.h
	cairo-dock-separator-manager.h 		cairo-dock-applet-manager.h
	cairo-dock-backends-manager.h		cairo-dock-notifications.h
	
	cairo-dock-packages.h
	cairo-dock-data-renderer.h
	cairo-dock-data-renderer-manager.h
	cairo-dock-dock-manager.h		
	cairo-dock-desklet-manager.h
	cairo-dock-dialog-manager.h
	cairo-dock-indicator-manager.h
	cairo-dock-themes-manager.h
	cairo-dock-gui-manager.h
	cairo-dock-file-manager.h
	cairo-dock-X-manager.h
	cairo-dock-class-manager.h
	cairo-dock-opengl.h
	cairo-dock-image-buffer.h
	cairo-dock-config.h
	cairo-dock-module-factory.h
	cairo-dock-module-manager.h
	cairo-dock-container.h
	cairo-dock-dock-factory.h			cairo-dock-callbacks.h
	cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.h
	cairo-dock-flying-container.h
	
	cairo-dock-applet-multi-instance.h 	cairo-dock-applet-single-instance.h
	cairo-dock-applet-canvas.h			cairo-dock-applet-facility.h
	
	cairo-dock-draw.h					cairo-dock-draw-opengl.h
	cairo-dock-opengl-path.h 			cairo-dock-opengl-font.h 
	cairo-dock-particle-system.h		cairo-dock-emblem.h
	cairo-dock-X-utilities.h			cairo-dock-dbus.h
	cairo-dock-keyfile-utilities.h		cairo-dock-surface-factory.h
	cairo-dock-log.h					cairo-dock-keybinder.h
	cairo-dock-application-facility.h	cairo-dock-dock-facility.h
	cairo-dock-task.h
	cairo-dock-animations.h
	cairo-dock-gui-factory.h
	
	DESTINATION ${includedir}/cairo-dock/cairo-dock)

if (NOT "${enable_gtk_grip}" STREQUAL "")
	add_definitions (-DENABLE_GTK_GRIP=1)
endif()

=== src/implementations/CMakeLists.txt ===

SET(impl_SRCS
	cairo-dock-gauge.c 				cairo-dock-gauge.h
	cairo-dock-graph.c 				cairo-dock-graph.h
	cairo-dock-hiding-effect.c	 	cairo-dock-hiding-effect.h
	cairo-dock-icon-container.c 	cairo-dock-icon-container.h
	cairo-dock-default-view.c 		cairo-dock-default-view.h
	cairo-dock-compiz-integration.c	cairo-dock-compiz-integration.h
	cairo-dock-kwin-integration.c	cairo-dock-kwin-integration.h
)

add_library(implementations STATIC ${impl_SRCS})
add_definitions (-fPIC)

link_directories(
	${PACKAGE_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

########### install files ###############

install (FILES
	cairo-dock-gauge.h	 	 	 cairo-dock-graph.h
	DESTINATION ${includedir}/cairo-dock/implementations)

=== data/gauges/battery/CMakeLists.txt ===

########### install files ###############

install(FILES  background.svg 	foreground.svg 	battery0.svg 	battery1.svg 	battery2.svg 	battery3.svg 	battery4.svg 	battery5.svg 	battery6.svg 	battery7.svg 	theme.xml 	readme DESTINATION ${pkgdatadir}/gauges/Battery )

=== data/default-theme/plug-ins/Animated-icons/CMakeLists.txt ===

########### install files ###############

install(FILES  Animated-icons.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/Animated-icons )

=== data/default-theme/plug-ins/Dbus/CMakeLists.txt ===

########### install files ###############

install(FILES  Dbus.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/Dbus )

=== data/default-theme/plug-ins/dnd2share/CMakeLists.txt ===

########### install files ###############

install(FILES  dnd2share.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/dnd2share )

=== debian/changelog ===
cairo-dock (2.3.0~3-1) unstable; urgency=low

  * New Upstream version 2.3.0~3.
  * Bump Standard Version: 3.9.2.
  * Fix icon path of cairo-dock.svg in cairo-dock.desktop (Closes: #628155).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Jul 2011 12:05:14 +0900

cairo-dock (2.3.0~0rc1-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Fix install path of example and update install file.
  * Update debian/patches
  * Update debian/cairo-dock-dev.install and debian/cairo-dock-core.install
    - Add usr/lib/libgldi.so.*
  * Update debian/rules and debian/control
    - Build system of upstream became cmake.
    - Add cmake to Build-Depends.
    - Add libcurl4-gnutls-dev to Build-Depends.
    - Update version of cairo-dock-plugins.
  * Add cairo-dock-core.lintian-overrides.

  [ Youhei SASAKI ]
  * New Upstream version 2.3.0~0rc1
  * Update debian/changelog
  * Add DM-Upload-Allowed: yes
  * add clean target: rm src/config.h
  * fix doc/example install target
  * Add fix soname patch
  * Update debian/control
    - Add gimp, inkscape, gcalctool, f-spot to Suggests for default-theme 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 01 Mar 2011 17:08:34 +0900

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: extra
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
	Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, intltool, pkg-config, 
		libcairo-dev, libdbus-1-dev, librsvg2-dev,  libxml2-dev, 
		libxrender-dev, libxtst-dev, libgtkglext1-dev, libcurl4-gnutls-dev,
		libdbus-glib-1-dev, libgtk2.0-dev, quilt, cmake (>= 2.8.0)
Standards-Version: 3.9.2
Homepage: http://www.glx-dock.org/
Vcs-Git: git://git.debian.org/pkg-cairo-dock/cairo-dock.git
Vcs-Browser: http://git.debian.org/git/pkg-cairo-dock/cairo-dock.git

Package: cairo-dock
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-core (= ${binary:Version}), cairo-dock-plugins (>= 2.3.0~3)
Conflicts: cairo-dock (<= 2.1.3.5-2)
Description: Light eye-candy fully themable animated dock for Linux desktop
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This is metapackage that provides the components necessary for running
 Cairo-dock. This installs a cairo-dock-core application and cairo-dock-plugins
 package easily.
 .
 And Cairo-dock installs cairo-dock-core and plugins and makes sense as
 Cairo-dock.

Package: cairo-dock-core
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cairo-dock (<= 2.1.3.5-2)
Replaces: cairo-dock (<= 2.1.3.5-2)
Suggests: xcompmgr, empathy, f-spot, gcalctool, gimp, inkscape
Recommends: cairo-dock-plugins (>= 2.1.3.10), curl
Description: Light eye-candy fully themable animated dock for Linux desktop
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This package provides Cairo-dock-core application.

Package: cairo-dock-dev
Section: devel
Priority: extra
Architecture: any
Depends: cairo-dock-core (= ${binary:Version}), ${misc:Depends}
Description: Cairo-dock develpment file
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it. 
 .
 This package provides Cairo-dock development file.

## cairo-dock 2.4.0~2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "2.3.0~3")
+set (VERSION "2.4.0~2")
 
-add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall 
+add_definitions (-std=c99 -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall 
 if (NOT ${CMAKE_BUILD_TYPE})
 	add_definitions (-O3)
 endif()
@@ -28,7 +28,7 @@
 set (CPACK_SOURCE_GENERATOR "TGZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 set (CPACK_SOURCE_IGNORE_FILES 
-	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-config.h$;/scripts/;/doc/;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
+	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-config.h$;/doc/;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
 include (CPack)
 
 add_custom_target( dist
@@ -50,6 +50,7 @@
 set (datadir ${prefix}/share)
 set (pkgdatadir ${datadir}/cairo-dock)
 set (mandir ${datadir}/man)
+set (VERSION_HELP "0.9.99") # needed to parse Help.conf.in
 
 if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT "${FORCE_LIB64}" STREQUAL "")  # 64bits and force install in lib64
 	set (libdir ${prefix}/lib64)
@@ -120,14 +121,17 @@
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock.conf)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock-simple.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock-simple.conf)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/main-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/main-dock.conf)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/launcher.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/launcher.desktop)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/container.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/container.desktop)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/separator.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/separator.desktop)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/themes.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/themes.conf)
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/help.conf)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/Help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/Help.conf)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.pc.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
 
 ########### install files ###############
 
-install (FILES cairo-dock-package-theme launch-cairo-dock-with-delay
+install (FILES cairo-dock-package-theme
 	DESTINATION ${bindir}
 	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install (FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc DESTINATION ${libdir}/pkgconfig)

=== src/CMakeLists.txt ===

add_subdirectory (icon-factory)
add_subdirectory (gldit)
add_subdirectory (implementations)
add_subdirectory (help)

SET(cairo_dock_SRCS
	cairo-dock.c
	cairo-dock-menu.c 					cairo-dock-menu.h 
	cairo-dock-user-interaction.c 		cairo-dock-user-interaction.h 
	cairo-dock-gui-main.c 				cairo-dock-gui-main.h
	cairo-dock-gui-simple.c 			cairo-dock-gui-simple.h
	cairo-dock-gui-backend.c 			cairo-dock-gui-backend.h
	cairo-dock-gui-items.c 				cairo-dock-gui-items.h
	cairo-dock-gui-themes.c 			cairo-dock-gui-themes.h
	cairo-dock-gui-commons.c 			cairo-dock-gui-commons.h
)

########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${XEXTEND_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${XEXTEND_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/help)

# Add executable that is built from the source files.
add_executable (${PROJECT_NAME}
	${cairo_dock_SRCS} )

# Link the executable to the librairies.
target_link_libraries (${PROJECT_NAME}
	${PACKAGE_LIBRARIES}
	${XEXTEND_LIBRARIES}
	${LIBCRYPT_LIBS}
	gldi
	icon-factory
	implementations
	help)

# install the program once it is built.
install(
	TARGETS ${PACKAGE}
	DESTINATION bin)

=== data/desktop-manager/CMakeLists.txt ===
install (FILES
	cairo-dock.desktop
	cairo-dock-fallback.desktop
	DESTINATION /usr/share/xsessions)

install (FILES
	cairo-dock.session
	cairo-dock-fallback.session
	DESTINATION /usr/share/gnome-session/sessions)

=== data/icons/CMakeLists.txt ===

########### install files ###############

install (FILES
	# lib
	cairo-dock-ok.svg
	cairo-dock-cancel.svg
	default-class-indicator.svg
	default-icon.svg
	default-icon-appli.svg
	default-indicator.png
	depth-rotate-desklet.svg
	no-input-desklet.png
	retach-desklet.svg
	rotate-desklet.svg
	theme-distant.svg
	theme-local.svg
	theme-new.svg
	theme-updated.svg
	theme-user.svg
	# implementations
	box-back.png
	box-front.png
	# appli
	balloons.png
	cairo-dock-animated.xpm
	icon-accessories.svg
	icon-all.svg
	icon-appearance.svg
	icon-background.svg
	icon-behavior.svg
	icon-bubble.png
	icon-buttons.png
	icon-close.svg
	icon-connection.svg
	icon-controler.svg
	icon-desklets.png
	icon-desktop.svg
	icon-dialogs.svg
	icon-extensions.svg
	icon-files.svg
	icon-frame.png
	icon-fun.svg
	icon-gradation.png
	icon-help.svg
	icon-hidden-dock.svg
	icon-icons.svg
	icon-indicators.svg
	icon-internet.svg
	icon-labels.svg
	icon-lock-icons.svg
	icon-maximize.svg
	icon-minimize.svg
	icon-mouse.svg
	icon-movment.png
	icon-plug-ins.svg
	icon-position.svg
	icon-restore.svg
	icon-subdock.png
	icon-system.svg
	icon-taskbar.png
	icon-views.svg
	icon-visibility.svg
	icon-wave.png
	DESTINATION ${pkgdatadir}/icons )

=== src/gldit/CMakeLists.txt ===
--- 
+++ 
@@ -56,6 +56,7 @@
 	cairo-dock-packages.c 				cairo-dock-packages.h
 	cairo-dock-particle-system.c 		cairo-dock-particle-system.h
 	cairo-dock-emblem.c 				cairo-dock-emblem.h
+	cairo-dock-overlay.c 				cairo-dock-overlay.h
 	cairo-dock-task.c 					cairo-dock-task.h
 	cairo-dock-config.c 				cairo-dock-config.h 
 	texture-gradation.h
@@ -96,7 +97,7 @@
 
 # Link the result to the librairies.
 target_link_libraries("gldi"
-	${PACKAGE_LIBRARIES}
+	${PACKAGE_LIBRARIES} -ldl
 	${XEXTEND_LIBRARIES}
 	${LIBCRYPT_LIBS}
 	icon-factory
@@ -150,7 +151,7 @@
 	
 	cairo-dock-draw.h					cairo-dock-draw-opengl.h
 	cairo-dock-opengl-path.h 			cairo-dock-opengl-font.h 
-	cairo-dock-particle-system.h		cairo-dock-emblem.h
+	cairo-dock-particle-system.h		cairo-dock-emblem.h cairo-dock-overlay.h
 	cairo-dock-X-utilities.h			cairo-dock-dbus.h
 	cairo-dock-keyfile-utilities.h		cairo-dock-surface-factory.h
 	cairo-dock-log.h					cairo-dock-keybinder.h
@@ -159,8 +160,8 @@
 	cairo-dock-animations.h
 	cairo-dock-gui-factory.h
 	
-	DESTINATION ${includedir}/cairo-dock/cairo-dock)
+	DESTINATION ${includedir}/cairo-dock/gldit)
 
-if (NOT "${enable_gtk_grip}" STREQUAL "")
+if (NOT "${enable_gtk_grip}" STREQUAL "")  # actually it's more "disable-gtk-grip" ...
 	add_definitions (-DENABLE_GTK_GRIP=1)
 endif()

=== src/help/CMakeLists.txt ===

SET(help_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-tips-dialog.c 		applet-tips-dialog.h
	applet-composite.c 		applet-composite.h
	cairo-dock-help.c 		cairo-dock-help.h
)

add_library(help STATIC ${help_SRCS})
add_definitions (-fPIC)

add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${pkgdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="images/help-preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Help.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Help")
add_definitions (-DMY_APPLET_VERSION="${VERSION_HELP}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_PACKAGE}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${VERSION}")
add_definitions (-DMY_APPLET_ICON_FILE="icons/icon-help.svg")

link_directories(
	${PACKAGE_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/gldit)

=== src/implementations/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 add_library(implementations STATIC ${impl_SRCS})
 add_definitions (-fPIC)
+add_definitions (-DSHARE_DATA_DIR="${pkgdatadir}")
 
 link_directories(
 	${PACKAGE_LIBRARY_DIRS})

=== debian/changelog ===
cairo-dock (2.4.0~2-0ubuntu1) oneiric; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New upstream bug fix release. (LP: #859982)
  * Upstream (short) ChangeLog (2.4.0~0beta2 -> 2.4.0~1):
   - Improved support of the new Gnome 3 session
      (to avoid conflicts with the new Gnome-Panel).
   - Code cleaned and re-organised a few functions
      (e.g. with cairo-dock-overlay, cairo-dock.c, etc.)
   - Updating translations
   - Improved the support of XFCE and LXDE environments
   - Removed invalid launcher desktop files
   - Used a default icon if the path set by the user is wrong
   - Fixed the possibility to sticky a desklet (bug due to a Xorg update)
   - GUI: fixed the list-entry widget
   - Fixed support of the Widget Layer in Compiz >= 0.9
   - Compiz type filter: replaced type=utility by type=Utility
   - Fixed a small refresh bug in cairo mode
      (with icons that are always visible)
   - Improved the placement of icons when avoiding the mouse
      (when something is being dropped onto the dock)
   - Updated the default theme in order to use new applications
   - Gauge implementation: Rewritten to use CairoDockImageBuffer
      and fixed the problem with png images
   - Graphs: Improved the drawing and added more precisions
   - Improved the 'lock' option description
   - GUI simple: fixed a bad update of the parameters
      when switching back to the previous value
   - Fixed the path of the preview for the default view
   - Help: Fixed the problem with tips
   - Default-theme: .conf files: fixed lintian warnings
   - Fixed a few warnings at the compilation
   - Removed a few useless output messages
   - Fixed these LP bugs:
    + Cairo-dock corrupts Kdenlive monitor display LP: #729970
    + Can't play videos in kaffeine LP: #475375
   - And fixed a lot of tiny bugs, please have a look to bzr logs.
  * Upstream (short) ChangeLog (2.4.0~1 -> 2.4.0~2):
   - Fixed a bug with the detection of compiz plugins
   - doc: used the right version
   - Fixed a possible crash with an empty dock LP: #861725
   - FlyingContainer: draw the icon correctly
  * debian/patches:
   - Removed 01-musicPlayer_with_banshee: now in upstream
  * debian/copyright:
   - Updated and fixed lintian warnings: old-fsf-address-in-copyright-file
  * debian/rules and debian/cairo-dock-data.install:
   - Added support of the new Gnome 3 session.
  * debian/control:
   - Fixed lintian warning: description-synopsis-starts-with-article
   - Fixed lintian error: version-substvar-for-external-package
  * debian/cairo-dock-data.lintian-overrides:
   - Removed old warnings (fixed)
   - Added binary-without-manpage (custom scripts used)
  * debian/cairo-dock-core.install and debian/cairo-dock-dev.install:
   - Fixed a lintian warning: non-dev-pkg-with-shlib-symlink
  * debian/patches/01-improved-cairo-dock-session.patch:
   - Improved the launch of our Cairo-Dock session (by removing Unity
      Compiz plugin and by launching the dock with a short delay)
   - Fixed lintian error: shell-script-fails-syntax-check
      (it seems I made wrong manipulation with vim...)
  * debian/patches/02-manpage-not-compressed-with-max-compression.patch:
   - Fixed this lintian error: manpage-not-compressed-with-max-compression

 -- Iain Lane <laney@ubuntu.com>  Tue, 11 Oct 2011 10:53:26 +0100

cairo-dock (2.4.0~0beta2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #823513)
  * Upstream (short) ChangeLog:
   - A new Help applet has been added to help our beloved user.
   - Improved integration in the XFCE and LXDE desktop.
   - Improved the classifying of our files in the source code
      and in share/cairo-dock directory.
   - Launchers and applications now uses the linked .desktop file.
   - Fixed a few bugs as usual
  * debian/patches:
   - Removed 01-default_theme_with_default_apps (now in upstream).
   - Added 01-musicPlayer_with_banshee in order to use Banshee instead
      of Rhythmbox for the default music player.
  * debian/control:
   - Bump Standard-Version to 3.9.2.
   - Removed gawk from the build dependences list (no longer needed).

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 09 Aug 2011 21:39:42 +0200

cairo-dock (2.3.0~3-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #799773)
  * Upstream ChangeLog:
   - Fixed a crash that occurs when the MP applet is in desklet
      mode and applets separated from launchers
      and the music-player is launched. (LP: #797273)
  * debian/patches:
   - Removed 02-mouse-leaves-on-the-edge_upstream-version-2.3.0~2.1.patch
    (now in the upstream release)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 20 Jun 2011 16:55:12 +0200

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs, 
		debhelper (>= 7),
		cmake,
		libcairo2-dev, 
		libgtk2.0-dev, 
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libgtkglext1-dev,
		libxinerama-dev,
		libglib2.0-dev,
		libcurl4-gnutls-dev
Standards-Version: 3.9.2
Homepage: http://www.glx-dock.org/

Package: cairo-dock
Section: graphics
Architecture: all
Conflicts: 	cairo-dock (<= 2.0.8.0)
Depends: 	cairo-dock-core (>= ${source:Version}),
		cairo-dock-plug-ins (>= 2.4.0~2),
		${misc:Depends}
Description: Light and eye-candy dock to launch your programs (metapackage)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This metapackage provides the components necessary for running Cairo-Dock. It
 provides the Cairo-Dock core, a set of standard plugins and the files necessary
 to integrate Cairo-Dock with your desktop environment. 

Package: cairo-dock-core
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	cairo-dock-data (>= ${source:Version}),
		${shlibs:Depends}, 
		${misc:Depends}
Recommends:	cairo-dock, cairo-dock-plug-ins
Suggests:	firefox, gnome-terminal, empathy, inkscape, gimp, shotwell, rhythmbox
Description: Light and eye-candy dock to launch your programs (core package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package is the core of Cairo-Dock project.

Package: cairo-dock-dev
Section: libdevel
Architecture: all
Depends: 	cairo-dock-core (>= ${source:Version}),
		${misc:Depends},
		cmake,
		libcairo2-dev, 
		libgtk2.0-dev, 
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libgtkglext1-dev,
		libxinerama-dev,
		libglib2.0-dev
Recommends:	cairo-dock-plug-ins
Description: Light and eye-candy dock to launch your programs (dev package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package provides the include files and static library for cairo-dock 
 functions.

Package: cairo-dock-data
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	${shlibs:Depends}, 
		${misc:Depends}
Description: Light and eye-candy dock to launch your programs (common files)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains default icons and themes for Cairo-Dock.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable_gtk_grip=yes \
	-Denable-desktop-manager=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack
